Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 231685 - kde-base/kdenetwork-3.5.9 failed emerge, error in videodevice.cpp
Summary: kde-base/kdenetwork-3.5.9 failed emerge, error in videodevice.cpp
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL: http://bugs.kde.org/show_bug.cgi?id=1...
Whiteboard:
Keywords:
Depends on:
Blocks: kde-3.5.10
  Show dependency tree
 
Reported: 2008-07-13 13:37 UTC by werzer
Modified: 2009-05-27 19:07 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description werzer 2008-07-13 13:37:13 UTC
Hi!

I can't compiling kdenetwork-3.5.9, see errors below:

ideodevice.cpp: In member function 'bool Kopete::AV::VideoDevice::getAutoColorCorrection()':
videodevice.cpp:1837: warning: comparison between signed and unsigned integer expressions
videodevice.cpp: In member function 'bool Kopete::AV::VideoDevice::setAutoColorCorrection(bool)':
videodevice.cpp:1846: warning: comparison between signed and unsigned integer expressions
videodevice.cpp: In member function 'bool Kopete::AV::VideoDevice::getImageAsMirror()':
videodevice.cpp:1857: warning: comparison between signed and unsigned integer expressions
videodevice.cpp: In member function 'bool Kopete::AV::VideoDevice::setImageAsMirror(bool)':
videodevice.cpp:1866: warning: comparison between signed and unsigned integer expressions
videodevice.cpp: In member function 'Kopete::AV::pixel_format Kopete::AV::VideoDevice::pixelFormatForPalette(int)':
videodevice.cpp:1916: error: 'V4L2_PIX_FMT_ET61X251' was not declared in this scope
videodevice.cpp:1922: error: 'V4L2_PIX_FMT_PWC1' was not declared in this scope
videodevice.cpp:1923: error: 'V4L2_PIX_FMT_PWC2' was not declared in this scope
videodevice.cpp: In member function 'int Kopete::AV::VideoDevice::pixelFormatCode(Kopete::AV::pixel_format)':
videodevice.cpp:1996: error: 'V4L2_PIX_FMT_ET61X251' was not declared in this scope
videodevice.cpp:2002: error: 'V4L2_PIX_FMT_PWC1' was not declared in this scope
videodevice.cpp:2003: error: 'V4L2_PIX_FMT_PWC2' was not declared in this scope
videodevice.cpp:1962: warning: enumeration value 'PIXELFORMAT_RGB444' not handled in switch
videodevice.cpp:1962: warning: enumeration value 'PIXELFORMAT_HM12' not handled in switch
videodevice.cpp: In member function 'QString Kopete::AV::VideoDevice::pixelFormatName(int)':
videodevice.cpp:2202: error: 'V4L2_PIX_FMT_ET61X251' was not declared in this scope
videodevice.cpp:2208: error: 'V4L2_PIX_FMT_PWC1' was not declared in this scope
videodevice.cpp:2209: error: 'V4L2_PIX_FMT_PWC2' was not declared in this scope

werzer@home ~ $ emerge --info
Portage 2.2_rc1 (default/linux/x86/2008.0/desktop, gcc-4.3.1, glibc-2.8_p20080602-r0, 2.6.25-gentoo-r6 i686)
=================================================================
System uname: Linux-2.6.25-gentoo-r6-i686-AMD_Athlon-tm-_XP_2600+-with-glibc2.0
Timestamp of tree: Sun, 13 Jul 2008 09:00:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.4.4, 2.5.2-r5
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.23b
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon-xp -O2 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=athlon-xp -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks parallel-fetch preserve-libs sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LANG="ru_RU.KOI8-R"
LC_ALL=""
LDFLAGS="-Wl,-O1"
LINGUAS="ru"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow X acl acpi alsa apache apache2 apm audiofile berkdb bluetooth branding bzip2 cairo cdr cli cracklib crypt cups cvs dbus dri dvd dvdr dvdread eds emboss encode esd evo fam ffmpeg firefox fortran gd gdbm gif gnome gphoto2 gpm gstreamer gtk hal iconv imagemagick imlib ipv6 isdnlog jpeg kde kerberos ldap libnotify mad midi mikmod mmx mp3 mpeg mudflap mysql ncurses nls nptl nptlonly ogg opengl openmp oracle pam pcre pdf perl php png ppds pppd python qt qt3 qt3support qt4 quicktime rdesktop readline reflection ruby samba scanner sdl session spell spl ssl startup-notification svg svga svn tcpd tiff truetype unicode usb vcd vorbis wifi win32codecs wma x86 xine xml xorg xsl xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon" ELIBC="glibc" FOO2ZJS_DEVICES="hp1020" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru" USERLAND="GNU" VIDEO_CARDS="fglrx"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY


Reproducible: Always

Steps to Reproduce:
1. emerge =kde-base/kdenetwork-3.5.9
Comment 1 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-27 19:07:07 UTC
this is fixed in kopete split, and monolithics are going to be removed soon